PUT/schedule/{scheduleId}/

Edit Schedule

This is to edit the schedule

This API allows users to edit an existing schedule for running a shop at specific times. Users can define scheduling parameters, delivery mode, and execution settings.
PUT/schedule/{scheduleId}/

Parameter Details

NameInTypeRequiredDescription
scheduleIdpathintegerRequiredEnter your scheduleId
bodybodyRequirednone

Responses

StatusMeaningDescriptionSchema
200OKOK
400Bad RequestBad RequestNone
401UnauthorizedUnauthorizedNone
403ForbiddenForbiddenNone
404Not FoundNot FoundNone
429Too Many RequestsToo Many RequestsNone
500Internal Server ErrorInternal Server ErrorNone

Example Request

# You can also use wget
curl -X PUT /schedule/{scheduleId}/ \
  -H 'Content-Type: application/json' \
  -H 'Accept: application/json' \
  -H 'Authorization: Bearer {access-token}'

Body parameter

{
  "shopId": 0,
  "scheduleName": "",
  "shopType": 0,
  "fetchType": 0,
  "year": "*",
  "month": "*",
  "dow": "*",
  "day": "*",
  "hour": "*",
  "minute": "*",
  "startDate": "2025-05-06",
  "endDate": "2025-05-06"
}

Example responses

200 Response
{
  "message": "Schedule updated successfully.",
  "scheduleId": 67
}

Need Support?

Our team is here to help you integrate and make the most of our APIs. Get in touch for technical support, custom solutions, or any questions.